<template>
  <v-card
      min-width="300"
      width="500"
      elevation="0"
  >
    <v-card-title>
      Please signup
    </v-card-title>
    <v-card-text>
      <TimeOfferForm :isBtnContent="'Sign Up'" :isSignUp="true"/>
    </v-card-text>
    <v-card-text class="py-0">
      <small>already have an account? go to the login page</small>
      <br>
      <v-btn
          :class="{'full-width-btn': $vuetify.breakpoint.xsOnly}"
          class="mt-2"
          color="primary"
          @click="redirectLogin">Go to Login Page
      </v-btn>
    </v-card-text>
  </v-card>
</template>

<script>
import {mapActions} from "vuex";

import TimeOfferForm from "./dashboard/TimeOfferForm";

export default {
  name: "SignUp",
  components: {TimeOfferForm},
  data: () => ({
    form: {
      userName: '',
      email: '',
      phoneNumber: '',
      password: '',
    },
    loading: false,
  }),
  created() {
  },

  methods: {
    ...mapActions(['setNotification', 'setIsAuthenticated']),

    redirectLogin() {
      this.$router.push({name: 'login'})
    },
  }
}
</script>

<style scoped>

</style>
